#include "partition.h"
#include <algorithm>
using namespace std;

#define MAXN 2000000


vector<int> solve(vector<int> A){
  int n=A.size(),i;
  int x=(n+1)/2;
  long long S=0;
  vector<int> ind(n);

  for(i=0;i<n;i++){
    ind[i]=i;
    S+=A[i];
  }

  sort(ind.begin(),ind.end(),[&](int a,int b){
    return A[a]>A[b];
  });

  long long sum=0;
  for(i=0;i<x;i++){
    sum+=A[ind[i]];
  }

  // if(2*sum<S){
    
  // }

  return ind;
}